UP - 01/04/2014 [TESTING] [DONE]

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
MAYBL8
Posts: 1487
Joined: 10 Mar 2013 18:41
Location: Maryland Heights, MO USA
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby MAYBL8 » 05 Apr 2014 04:33

Just reinstalled 201401 solydk64.
Changed to Testing.
Updated
All went as explained in the OP.
I added an extension and had no problems.
Looks good so far.
Will report any issues if they happen.
Good job guys.

Code: Select all

dcihon@solydk64 ~ $ inxi -Fzx  
System:    Host: solydk64 Kernel: 3.13-1-amd64 x86_64 (64 bit, gcc: 4.8.2) 
           Desktop: KDE 4.12.4 (Qt 4.8.6) Distro: SolydXK 1 testing 
Machine:   Mobo: ASUSTeK model: M3A78-EM version: Rev X.0x Bios: American Megatrends version: 2003 date: 10/12/2009
CPU:       Dual core AMD Athlon 64 X2 6000+ (-MCP-) cache: 2048 KB flags: (lm nx sse sse2 sse3 svm) bmips: 4021.68 
           Clock Speeds: 1: 1000.00 MHz 2: 1000.00 MHz 
Graphics:  Card: NVIDIA G84 [GeForce 8600 GT] bus-ID: 01:00.0 
           X.Org: 1.15.0 drivers: nouveau (unloaded: fbdev,vesa) Resolution: 1920x1080@60.0hz, 1280x1024@60.0hz
           GLX Renderer: Gallium 0.4 on NV84 GLX Version: 3.0 Mesa 9.2.2 Direct Rendering: Yes 
Audio:     Card-1: Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA) driver: snd_hda_intel bus-ID: 00:14.2
           Card-2: Logitech Webcam C270 driver: USB Audio usb-ID: 002-002
           Sound: Advanced Linux Sound Architecture ver: k3.13-1-amd64 
Network:   Card-1: Ralink RT2561/RT61 802.11g PCI driver: rt61pci ver: 2.3.0 bus-ID: 04:07.0   
           IF: wlan0 state: down mac: <filter>   
           Card-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller 
           driver: r8169 ver: 2.3LK-NAPI port: e800 bus-ID: 03:00.0
           IF: eth1 state: up speed: 100 Mbps duplex: full mac: <filter>
Drives:    HDD Total Size: 1500.3GB (15.6% used) 1: id: /dev/sda model: WDC_WD5000AAKS size: 500.1GB 
           2: id: /dev/sdb model: ST31000528AS size: 1000.2GB 
Partition: ID: / size: 29G used: 6.4G (24%) fs: ext4 ID: /home size: 883G used: 212G (26%) fs: ext4 
           ID: swap-1 size: 5.24GB used: 0.00GB (0%) fs: swap 
Sensors:   System Temperatures: cpu: 38.0C mobo: 43.0C gpu: 57.0 
           Fan Speeds (in rpm): cpu: 2800 psu: 0 sys-1: 0 
Info:      Processes: 154 Uptime: 13 min Memory: 766.3/3964.1MB Runlevel: 2 Gcc sys: 4.8.2 
           Client: Shell (bash 4.3.0) inxi: 1.9.17 


User avatar
patzy
Posts: 406
Joined: 15 Dec 2013 08:32
Location: Australia

Re: UP - 01/04/2014 [TESTING]

Postby patzy » 05 Apr 2014 06:33

Well, I reinstall the Jan ISO, keeping my /home partition. The trouble I had last attempt was probably running the bash script at the wrong time. This time went OK.
Please note that I am not using a VM.

Attached the spreadsheet with my findings, for what they are worth (I'm new at this).
Attachments
SolydXK UP-ISO test cases.ods
(44.75 KiB) Downloaded 106 times

Testing using 32bit SolydK
Pentium Dual CPU E2220 2Gb memory
Geoforce 8400 using Nouveau driver

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 05 Apr 2014 11:42

updated what was initially an UEFI-DEV installation (the 2014.03 dev isos): among other things i wanted to see how grub-efi would react (this is a single boot machine ATM, so less error-prone)

It went very well but a couple notes:

- UM didn't automatically update to v. 2.0.0, it started the normal upgrade but as the old 0.2.8 and because i knew it would mess the upgrade i canceled the upgrade and installed UM manually

Code: Select all

zerozero@uefi ~ $ sudo apt-get install updatemanager
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  solydxk-updatemanager
The following NEW packages will be installed:
  updatemanager
0 upgraded, 1 newly installed, 1 to remove and 1024 not upgraded.
Need to get 67.2 kB of archives.
After this operation, 15.4 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://packages.solydxk.com/testing/ solydxk/main updatemanager all 2.0.0 [67.2 kB]
Fetched 67.2 kB in 1s (65.3 kB/s)      
(Reading database ... 150942 files and directories currently installed.)
Removing solydxk-updatemanager (0.2.8) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.54) ...
Processing triggers for menu (2.1.46) ...
Selecting previously unselected package updatemanager.
(Reading database ... 150906 files and directories currently installed.)
Preparing to unpack .../updatemanager_2.0.0_all.deb ...
Unpacking updatemanager (2.0.0) ...
Processing triggers for menu (2.1.46) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.54) ...
Setting up updatemanager (2.0.0) ...
zerozero@uefi ~ $
from then on it was easy.

- grub has an additional entry (system setup) with direct access to the "BIOS"
SolydXK UP-ISO-K64-UEFI test cases.ods.tar.gz
(306.49 KiB) Downloaded 108 times
bliss of ignorance

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 05 Apr 2014 14:50

updating one old SolydX-64 install i faced a big problem:

it starts here

Code: Select all

INFO      Lined added: Unpacking mate-polkit-common (1.8.0+dfsg1-1) ... (col=0, row=5104)
INFO      Lined added: dpkg: error processing archive /var/cache/apt/archives/mate-polkit-common_1.8.0+dfsg1-1_amd64.deb (--unpack): (col=0, row=5104)
INFO      Lined added:  trying to overwrite '/usr/share/locale/it/LC_MESSAGES/mate-polkit.mo', which is also in package mate-polkit 1.6.0-1 (col=0, row=5104)
INFO      Lined added: Preparing to unpack .../mate-polkit_1.8.0+dfsg1-1_amd64.deb ... (col=0, row=5105)
INFO      Lined added: Unpacking mate-polkit:amd64 (1.8.0+dfsg1-1) over (1.6.0-1) ... (col=0, row=5106)
and results in

Code: Select all

INFO      Lined added:  /var/cache/apt/archives/mate-polkit-common_1.8.0+dfsg1-1_amd64.deb (col=0, row=5353)
INFO      Lined added: Error: GDBus.Error:org.freedesktop.DBus.Error.Spawn.PermissionsInvalid: The permission of the setuid helper is not correct (col=46, row=5355)
INFO      Lined added:                                               E: Sub-process /usr/bin/dpkg returned an error code (1) (col=0, row=5357)
INFO      Command finished (pid=32212, nid=uminstall)
Deleting: /usr/lib/solydxk/updatemanager/.uminstall
mate-polkit-common fails to install breaking the upgrade; worst, UM reports then that the system is up-to-date; only because i saw the error message in the output (and knew that it meant trouble) i took further actions; worst (also) this breakage happens almost in the beginning; dropping to the terminal i see that 761 of the 916 packages are not installed yet

Code: Select all

zerozero@x64-vb:~$ sudo apt-get -f install
[sudo] password for zerozero: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  liblivemedia16 liblivemedia17 libraw9 libspice-server1 libwebp4 libx264-138 libx264-140
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  mate-polkit-common
The following NEW packages will be installed:
  mate-polkit-common
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
761 not fully installed or removed.

Code: Select all

INFO      Lined added: 840 upgraded, 76 newly installed, 3 to remove and 0 not upgraded. (col=0, row=425)
the specif breakage won't be replicable in many systems: mate-polkit-common was a dependency of mate-system-tools that we had installed in older isos but not anymore (somehow i kept it in this system)

Code: Select all

zerozero@x64-vb:~$ aptitude why mate-polkit-common
i   mate-polkit Depends mate-polkit-common (= 1.8.0+dfsg1-1)
zerozero@x64-vb:~$ aptitude why mate-polkit
i   mate-system-tools Depends mate-polkit
zerozero@x64-vb:~$ aptitude why mate-system-tools
Unable to find a reason to install mate-system-tools.
zerozero@x64-vb:~$ 
but can be a problem (eventually) if you have installed MATE.
bliss of ignorance

User avatar
Arjen Balfoort
Site Admin
Posts: 9246
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby Arjen Balfoort » 05 Apr 2014 15:25

Okay, don't kill me for being a pragmatist here ;)
but, do we need to be able to test all ISO versions, and all DEs?
It's already difficult enough with the previous ISO version with KDE, and Xfce.


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 05 Apr 2014 16:18

:) no, this is a system that is running (according to our mantra: You don’t have to reinstall, ever!) since middle last year and updated successfully since then;

there's 2 main questions here:
  • mate-polkit-common was installed by default, i know that later we advised the removal of those packages but as you can see (for whatever reasons :roll: ) it didn't happen everywhere
  • the way UM handles a package failing to install (can be problematic but i have no idea how to workaround that)
bliss of ignorance

User avatar
wyrdoak
Posts: 113
Joined: 07 Jan 2014 21:25

Re: UP - 01/04/2014 [TESTING]

Postby wyrdoak » 05 Apr 2014 16:31

Does this help with what your doing with mate-polkit? http://us.generation-nt.com/answer/bug- ... 96652.html

Acer Aspire One AO532h; CPU Atom n450 1.66Gh: 2GB RAM, duel boot with Win7: SolydK32

User avatar
MAYBL8
Posts: 1487
Joined: 10 Mar 2013 18:41
Location: Maryland Heights, MO USA
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby MAYBL8 » 05 Apr 2014 17:07

:) no, this is a system that is running (according to our mantra: You don’t have to reinstall, ever!) since middle last year and updated successfully since then;
This is not the place for this discussion but I wonder what the oldest Debian (stable) install is that is still running without a reinstall?


User avatar
Arjen Balfoort
Site Admin
Posts: 9246
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby Arjen Balfoort » 05 Apr 2014 17:50

@zerozero
Can I safely assume that when mate-system-tools (not in the repositories) is not installed on a system, I can purge mate-polkit-common?

The error handling of UM can be improved, but I'll handle that after the UP.
It's important to collect all these issues with UM.


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 05 Apr 2014 18:03

Schoelje wrote:@zerozero
Can I safely assume that when mate-system-tools (not in the repositories) is not installed on a system, I can purge mate-polkit-common?
yes, the aptitude output posted above shows that mate-polkit-common is a dependency of mate-system-tools.
Schoelje wrote:The error handling of UM can be improved, but I'll handle that after the UP.
It's important to collect all these issues with UM.
i wasn't asking to do it *now* :D just flagging a potential issue that can be improved.
wyrdoak wrote: Does this help with what your doing with mate-polkit? http://us.generation-nt.com/answer/bug- ... 96652.html
makes sense that
bliss of ignorance

User avatar
jdhedden
Posts: 106
Joined: 26 Aug 2013 11:34
Location: Gibbstown, NJ
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby jdhedden » 05 Apr 2014 19:55

stelios wrote: Since i had a serious problem with upgrading GRUB, i think i should mention it here before the full report. Followed instructions and i got a message that GRUB was installed successfully. Fortunately, i always run update-grub in these cases. I got a message that it could not do that, because there were no configuration files. ( there were).

Code: Select all

GRUB >= 2.00 has been unpacked but not yet configured.
grub-mkconfig will not work until the upgrade is complete.
After searching around, i discovered that others faced the same problem when upgrading to GRUB 2 (although many apparently didn't) and solved it by purging all packages with "grub" in their name and reinstalling them. After that, everything worked fine.

So, no matter what message you get during the upgrade, run update-grub to make sure everything is alright before you reboot. Or you may get a nasty surprise.
I encountered this problem as well. (I twice had to recover from my Clonezilla backup.) The purge and reinstall worked, although I had to reapply my grub customizations.
Jerry : SolydX / Siduction / Liquorix Kernel / Dell XPS 8700 / NVIDIA GeForce GT 635

Deleted User 2764

Re: UP - 01/04/2014 [TESTING]

Postby Deleted User 2764 » 05 Apr 2014 20:44

Dang, I got confused! Being from USA I thought 01/04 meant January 4th! :oops:

@schoelje & @zerozero: What do you guys need testing on? I have partitions I can boot into with 64-bit KDE and 64-bit XFCE. I believe those are updated with the last UP (January).

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 05 Apr 2014 21:52

jdhedden wrote:
stelios wrote: Since i had a serious problem with upgrading GRUB, i think i should mention it here before the full report. Followed instructions and i got a message that GRUB was installed successfully. Fortunately, i always run update-grub in these cases. I got a message that it could not do that, because there were no configuration files. ( there were).

Code: Select all

GRUB >= 2.00 has been unpacked but not yet configured.
grub-mkconfig will not work until the upgrade is complete.
After searching around, i discovered that others faced the same problem when upgrading to GRUB 2 (although many apparently didn't) and solved it by purging all packages with "grub" in their name and reinstalling them. After that, everything worked fine.

So, no matter what message you get during the upgrade, run update-grub to make sure everything is alright before you reboot. Or you may get a nasty surprise.
I encountered this problem as well. (I twice had to recover from my Clonezilla backup.) The purge and reinstall worked, although I had to reapply my grub customizations.
ok, it seems that we have a potential problem here;

stelios
jdhedden
do you have any special grub setup that facilitates this failure?
also, in a one-liner (or 2) what is the purge/reinstall apt-fu?
bliss of ignorance

User avatar
ulusu
Posts: 82
Joined: 12 Nov 2013 23:06
Location: Dreiländereck (Germany, Luxemburg and France)

Re: UP - 01/04/2014 [TESTING]

Postby ulusu » 05 Apr 2014 23:54

My test upgrade with a Solydx32 201401 stoped at configuring Grub-pc. Although I choosed to install Grub at /dev/sda on the next popup it says that I choosed not to install Grub.

Regards,
ulusu

Mac OS X Mavericks, Kubuntu 14.04 LTS, SolydK64_201407, Windows 7 Ultimate, Windows 8.1 pro

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 06 Apr 2014 00:00

ulusu wrote:My test upgrade with a Solydx32 201401 stoped at configuring Grub-pc. Although I choosed to install Grub at /dev/sda on the next popup it says that I choosed not to install Grub.

Regards,
ulusu
do you have outputs of that?
it failed? or did you managed to recover?
provide (at least)

Code: Select all

/var/log/updatemanager.log
bliss of ignorance

User avatar
ulusu
Posts: 82
Joined: 12 Nov 2013 23:06
Location: Dreiländereck (Germany, Luxemburg and France)

Re: UP - 01/04/2014 [TESTING]

Postby ulusu » 06 Apr 2014 00:45

It's like a loop. It asks me if I want to continue without installing Grub. I say no and then I choose /dev/sda and then it starts again to say that I choose not to install Grub.

It did not fail but I'm stuck. Of course I could continue and purge and reinstall Grub. But I think that's not the point.

How can I attach the log file? It's pretty long.

Well here are the last lines:

Code: Select all

06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up samba-vfs-modules (2:4.1.6+dfsg-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up sane-utils (1.0.24-1.1+b1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/init.d/saned ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: saned disabled; edit /etc/default/saned (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up shotwell-common (0.15.0-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up shotwell (0.15.0-2+b1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up solydxk-flashplugin-11 (11.2.202.341) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: update-alternatives: warning: /etc/alternatives/libflashplayer.so is dangling; it will be updated with best choice (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: update-alternatives: using /opt/solydxk-flashplugin/libflashplayer.so to provide /usr/lib/mozilla/plugins/libflashplayer.so (libflashplayer.so) in auto mode (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up ttf-freefont (20120503-4) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up solydxk-sws (0.6.9) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up sudo (1.8.9p5-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tcl8.6 (8.6.1-6) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tcl (8.6.0+8) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tcpd (7.6.q-25) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up thunar-volman (0.8.0-4) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tix (8.4.3-5) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tk8.6 (8.6.1-5) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tk (8.6.0+8) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up transmission-common (2.82-1.1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up transmission-gtk (2.82-1.1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up transmission (2.82-1.1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up ttf-dejavu-core (2.34-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up ttf-dejavu-extra (2.34-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up ttf-dejavu (2.34-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tumbler-common (0.1.30-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tumbler (0.1.30-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tumbler-plugins-extra (0.1.30-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up unzip (6.0-11) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up uuid-runtime (2.20.1-5.6) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up wdiff (1.2.1-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up wireless-regdb (2013.11.27-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up wpasupplicant (1.1-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/wpa_supplicant/functions.sh ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up x11-session-utils (7.7+1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up x11-xserver-utils (7.7+2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xarchiver (1:0.5.2+20130119+dfsg-5) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xfce4-clipman (2:1.2.5-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/xdg/xfce4/panel/xfce4-clipman-actions.xml ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/xdg/autostart/xfce4-clipman-plugin-autostart.desktop ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xfce4-clipman-plugin (2:1.2.5-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xfce4-mixer (4.10.0-3) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xfce4-terminal (0.6.3-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xfce4-whiskermenu-plugin (1.3.2-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xscreensaver-data (5.26-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/X11/app-defaults/XScreenSaver-nogl ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xscreensaver (5.26-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xserver-xephyr (2:1.15.0-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xserver-xorg-input-all (1:7.7+6) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xserver-xorg (1:7.7+6) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up xterm (303-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up cups-pk-helper (0.2.5-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up easy-rsa (2.2.2-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up gdisk (0.8.8-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up intel-microcode (2.20140122.1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Updating microcode on all online processors... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: update-initramfs: deferring update (trigger activated) (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up iproute (1:3.12.0-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up usb-modeswitch-data (20140129-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up usb-modeswitch (2.1.0+repack0-1+b1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/usb_modeswitch.conf ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up user-setup (1.56) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up libcupsfilters1:i386 (1.0.47-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up dh-python (1.20140128-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up python3 (3.3.4-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: running python rtupdate hooks for python3.3... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: running python post-rtupdate hooks for python3.3... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up foomatic-db-compressed-ppds (20140218-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up printer-driver-foo2zjs-common (20140302dfsg0-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up openprinting-ppds (20140218-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tasksel-data (3.20) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up tasksel (3.20) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up dmsetup (2:1.02.83-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: update-initramfs: deferring update (trigger activated) (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up libdevmapper1.02.1:i386 (2:1.02.83-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up libdevmapper-event1.02.1:i386 (2:1.02.83-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up liblvm2app2.2:i386 (2.02.104-2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up python3-apt (0.9.3.4) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up python3-dbus (1.2.0-2+b2) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up python3-packagekit (0.8.16-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up packagekit-backend-aptcc (0.8.16-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up packagekit (0.8.16-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/apt/apt.conf.d/20packagekit ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: [ ok ] Reloading system message bus config...done. (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up packagekit-tools (0.8.16-1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up python3-gi (3.10.2-2+b1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up nfs-common (1:1.2.8-6) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/init.d/nfs-common ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Replacing config file /etc/idmapd.conf with new version (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: insserv: warning: current start runlevel(s) (2 3 4 5 S) of script `nfs-common' overrides LSB defaults (S). (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: [ ok ] Stopping NFS common utilities: idmapd statd. (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: [FAIL] Starting NFS common utilities: statd failed! (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up libcryptsetup4:i386 (2:1.6.4-4) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up cryptsetup-bin (2:1.6.4-4) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up eject (2.1.5+deb1+cvs20081104-13.1) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up grub-common (2.00-22) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/grub.d/10_linux ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/grub.d/00_header ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/grub.d/05_debian_theme ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/grub.d/20_linux_xen ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/grub.d/41_custom ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/grub.d/30_os-prober ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up grub2-common (2.00-22) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up grub-pc-bin (2.00-22) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Setting up grub-pc (2.00-22) ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/kernel/postinst.d/zz-update-grub ... (col=0, row=5256)
06-04-2014 01:48:40 UM.on_line_added              INFO      Lined added: Installing new version of config file /etc/kernel/postrm.d/zz-update-grub ... (col=0, row=5256)
06-04-2014 01:48:45 UM.on_waiting_for_answer      INFO      Waiting for answer: Installing new version of config file /etc/kernel/postrm.d/zz-update-grub ... (col=49, row=637)
Regards,
ulusu

Mac OS X Mavericks, Kubuntu 14.04 LTS, SolydK64_201407, Windows 7 Ultimate, Windows 8.1 pro

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 06 Apr 2014 00:53

do you actually see the asterisk on sda as shown here
Image
bliss of ignorance

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 01/04/2014 [TESTING]

Postby zerozero » 06 Apr 2014 01:05

decided to D-U my main system; in one word: wasn't easy!
[full details tomorrow with the spreadsheet but for now...]

the problem starts here

Code: Select all

INFO      Lined added: Preparing to unpack .../g++-4.7_4.7.3-11_amd64.deb ... (col=0, row=7506)
INFO      Lined added: Unpacking g++-4.7 (4.7.3-11) over (4.7.3-9) ... (col=0, row=7507)
INFO      Lined added: dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt (col=0, row=7515)
INFO      Lined added: dpkg-deb: error: subprocess <decompress> returned error exit status 2 (col=0, row=7515)
INFO      Lined added: dpkg: error processing archive /var/cache/apt/archives/g++-4.7_4.7.3-11_amd64.deb (--unpack): (col=0, row=7515)
INFO      Lined added:  cannot copy extracted data for './usr/share/doc/gcc-4.7-base/test-summaries/g++.sum.gz' to '/usr/share/doc/gcc-4.7-base/test-summaries/g++.sum.gz.dpkg-new': unexpected end of file or stream (col=0, row=7515)

the D-U breaks with

Code: Select all

INFO      Lined added: Errors were encountered while processing: (col=0, row=7532)
INFO      Lined added:  /var/cache/apt/archives/g++-4.7_4.7.3-11_amd64.deb (col=0, row=7532)
the usual solution ends up in the same dead-end

Code: Select all

zerozero@home ~ $ sudo apt-get -f install
[sudo] password for zerozero: 
Reading package lists... Done
Building dependency tree   
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libdb5.1:i386 libserf1
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  g++-4.7
Suggested packages:
  g++-4.7-multilib gcc-4.7-doc libstdc++6-4.7-dbg   
The following packages will be upgraded:   
  g++-4.7     
1 upgraded, 0 newly installed, 0 to remove and 594 not upgraded.
707 not fully installed or removed.       
Need to get 0 B/7,180 kB of archives.                                                  
After this operation, 1,024 B of additional disk space will be used.  
Do you want to continue? [Y/n] Y     
(Reading database ... 297482 files and directories currently installed.)       
Preparing to unpack .../g++-4.7_4.7.3-11_amd64.deb ...    
Unpacking g++-4.7 (4.7.3-11) over (4.7.3-9) ...     
dpkg-deb (subprocess): decompressing archive member: lzma error: compressed data is corrupt   
dpkg-deb: error: subprocess <decompress> returned error exit status 2  
dpkg: error processing archive /var/cache/apt/archives/g++-4.7_4.7.3-11_amd64.deb (--unpack):   
 cannot copy extracted data for './usr/share/doc/gcc-4.7-base/test-summaries/g++.sum.gz' to '/usr/share/doc/gcc-4.7-base/test-summaries/g++.sum.gz.dpkg-new': unexpected end of file or stream  
Errors were encountered while processing:    /var/cache/apt/archives/g++-4.7_4.7.3-11_amd64.deb  
E: Sub-process /usr/bin/dpkg returned an error code (1)
configure -a installs a few hundred packages but a) leaves the issue unsolved and b) leaves the bulk of the packages still unconfigured.

the solution was to download g++-4.7, install it with dpkg and resume the D-U

Code: Select all

zerozero@home ~ $ apt download g++-4.7
Get: 1 http://debian.solydxk.com/testing/ testing/main g++-4.7 amd64 4.7.3-11 [7,180 kB]
Get: 2 http://debian.solydxk.com/testing/ testing/main gcc-4.7-base amd64 4.7.3-11 [149 kB]  
Get: 3 http://debian.solydxk.com/testing/ testing/main gcc-4.7 amd64 4.7.3-11 [4,272 kB]  
Get: 4 http://debian.solydxk.com/testing/ testing/main libstdc++6-4.7-dev amd64 4.7.3-11 [1,019 kB] 
Get: 5 http://debian.solydxk.com/testing/ testing/main libc6 amd64 2.18-4 [4,811 kB] 
Get: 6 http://debian.solydxk.com/testing/ testing/main libgmp10 amd64 2:5.1.3+dfsg-1 [231 kB] 
Get: 7 http://debian.solydxk.com/testing/ testing/main libmpc3 amd64 1.0.1-1 [45.8 kB]
Get: 8 http://debian.solydxk.com/testing/ testing/main libmpfr4 amd64 3.1.2-1 [516 kB] 
Get: 9 http://debian.solydxk.com/testing/ testing/main zlib1g amd64 1:1.2.8.dfsg-1 [90.7 kB] 
Get: 10 http://debian.solydxk.com/testing/ testing/main g++-4.7-multilib amd64 4.7.3-11 [988 B]
Get: 11 http://debian.solydxk.com/testing/ testing/non-free gcc-4.7-doc all 4.7.3-3 [6,727 kB] 
Get: 12 http://debian.solydxk.com/testing/ testing/main libstdc++6-4.7-dbg amd64 4.7.3-11 [2,742 kB] 
Fetched 27.8 MB in 59s (470 kB/s) 

Code: Select all

zerozero@home ~ $ sudo dpkg -i g++-4.7_4.7.3-11_amd64.deb 
(Reading database ... 297482 files and directories currently installed.)
Preparing to unpack g++-4.7_4.7.3-11_amd64.deb ...
Unpacking g++-4.7 (4.7.3-11) over (4.7.3-9) ...
Setting up g++-4.7 (4.7.3-11) ...
zerozero@home ~ $ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libdb5.1:i386 libserf1
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 594 not upgraded.
from here on the D-U went without issues :mrgreen:

===
so far everything looks OK, except for the notice in UM that there is updates available (when there isn't)
===

Code: Select all

zerozero@home ~ $ uname -a
Linux home 3.13-1-amd64 #1 SMP Debian 3.13.5-1 (2014-03-04) x86_64 GNU/Linux

Code: Select all

[code]zerozero@home ~ $ inxi -Fzx
System:    Host: home Kernel: 3.13-1-amd64 x86_64 (64 bit gcc: 4.8.2) Desktop: KDE 4.12.4 (Qt 4.8.6) 
           Distro: SolydXK 1 testing 
Machine:   System: Gigabyte product: N/A
           Mobo: Gigabyte model: Z77-D3H v: x.x Bios: American Megatrends v: F12 date: 04/25/2012
CPU:       Quad core Intel Core i7-3770K CPU (-HT-MCP-) cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 28249 
           Clock Speeds: 1: 3575 MHz 2: 4397 MHz 3: 4330 MHz 4: 4252 MHz 5: 2726 MHz 6: 2175 MHz 7: 4389 MHz 8: 3576 MHz
Graphics:  Card: Intel Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller bus-ID: 00:02.0 
           Display Server: X.Org 1.15.0 drivers: intel (unloaded: fbdev,vesa) Resolution: 1440x900@59.9hz 
           GLX Renderer: Mesa DRI Intel Ivybridge Desktop GLX Version: 3.0 Mesa 9.2.2 Direct Rendering: Yes
Audio:     Card-1: Intel 7 Series/C210 Series Family High Definition Audio Controller 
           driver: snd_hda_intel bus-ID: 00:1b.0 
           Card-2: Microsoft LifeCam HD-3000 driver: USB Audio usb-ID: 001-002 
           Sound: Advanced Linux Sound Architecture v:: k3.13-1-amd64
Network:   Card-1: Qualcomm Atheros AR8151 v2.0 Gigabit Ethernet 
           driver: atl1c v: 1.0.1.1-NAPI port: e000 bus-ID: 04:00.0
           IF: eth1 state: down mac: <filter>
           Card-2: NetGear WNA1100 Wireless-N 150 [Atheros AR9271] driver: ath9k_htc usb-ID: 005-004
           IF: wlan0 state: up mac: <filter>
Drives:    HDD Total Size: 1000.2GB (26.8% used) 1: id: /dev/sdb model: ST3500418AS size: 500.1GB 
           2: id: /dev/sda model: ST500DM002 size: 500.1GB 
Partition: ID: / size: 49G used: 13G (28%) fs: ext4 ID: /home size: 400G used: 238G (63%) fs: ext4 
           ID: swap-1 size: 10.73GB used: 0.00GB (0%) fs: swap 
Sensors:   System Temperatures: cpu: 32.0C mobo: 25.0C 
           Fan Speeds (in rpm): cpu: 1558 fan-2: 0 fan-3: 0 fan-4: 0 fan-5: 0 
Info:      Processes: 226 Uptime: 50 min Memory: 3336.0/15978.5MB Init: SysVinit runlevel: 2 Gcc sys: 4.8.2 
           Client: Shell (bash 4.3.01) inxi: 2.1.5 
zerozero@home ~ $ 
[/code]
bliss of ignorance

User avatar
ulusu
Posts: 82
Joined: 12 Nov 2013 23:06
Location: Dreiländereck (Germany, Luxemburg and France)

Re: UP - 01/04/2014 [TESTING]

Postby ulusu » 06 Apr 2014 01:52

zerozero wrote:do you actually see the asterisk on sda as shown here
Image
Yes...This is it

Regards,
ulusu

Mac OS X Mavericks, Kubuntu 14.04 LTS, SolydK64_201407, Windows 7 Ultimate, Windows 8.1 pro

User avatar
stelios
Posts: 128
Joined: 28 Feb 2013 21:31
Location: Athens

Re: UP - 01/04/2014 [TESTING]

Postby stelios » 06 Apr 2014 04:17

zerozero wrote:
jdhedden wrote:
stelios wrote: ok, it seems that we have a potential problem here;

stelios
jdhedden
do you have any special grub setup that facilitates this failure?
also, in a one-liner (or 2) what is the purge/reinstall apt-fu?


I had changed the resolution of the grub startup screen. What surprised me was that i did not get an error message during the grub installation process. Everything seemed perfectly fine, until i run the grub-update command.

So, after searching the inernet, i gave the command

Code: Select all

sudo apt-get -s purge grub*
wrote down the six packets that were to be removed (grub-common grub-pc grub-pc-bin grub2 grub2-common solydk-grub2-theme), crossed my fingers and then i did it for real. Then i reinstalled them


I tried again, this time using a fresh SolydK 64bit installation, using the update manager, not the terminal. There were no problems.


Return to “Testing Zone”

Who is online

Users browsing this forum: No registered users and 1 guest